Mail archive
alpine-aports

[alpine-aports] [PATCH 2/4] update execline to 2.1.4.5, move its binaries to /bin

From: Laurent Bercot <ska-devel_at_skarnet.org>
Date: Mon, 16 Nov 2015 12:44:52 +0100

---
 main/execline/APKBUILD | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)
diff --git a/main/execline/APKBUILD b/main/execline/APKBUILD
index 554bfff..d9433da 100644
--- a/main/execline/APKBUILD
+++ b/main/execline/APKBUILD
_at_@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <ska-devel_at_skarnet.org>
 # Contributor: John Regan <john_at_jrjrtech.com>
-# Maintainer: John Regan <john_at_jrjrtech.com>
 pkgname=execline
-pkgver=2.1.4.4
+pkgver=2.1.4.5
 pkgrel=0
 pkgdesc="A small scripting language, to be used in place of a shell in non-interactive scripts."
 url="http://skarnet.org/software/$pkgname/"
_at_@ -11,7 +11,7 @@ depends="skalibs"
 depends_dev="skalibs-dev"
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -28,15 +28,15 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
 		--host=$CHOST \
 		--enable-shared \
 		--enable-static \
 		--disable-allstatic \
-		--prefix=/usr \
 		--libdir=/usr/lib \
+		--with-dynlib=/lib \
 		|| return 1
 	make || return 1
+	make strip || return 1
 }
 
 package() {
_at_@ -44,6 +44,12 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="f2fef90719507905217ce6a68f80dc33  execline-2.1.4.4.tar.gz"
-sha256sums="b9c4b4905e17a7caa4f187d62ce0755644a478ec9ea7f13f7bdbaca3c91ce425  execline-2.1.4.4.tar.gz"
-sha512sums="85420725dfde0147279a14f8f19d642c1bee2b123a002f2233f2d72db35bce63ab76077c92d4705b980f6f44a3ba2a8ffb0f9bddac2d8a189af26e0e823a363d  execline-2.1.4.4.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="94eae34d6ebb1141864a2d9f7babd342  execline-2.1.4.5.tar.gz"
+sha256sums="ab4451d4992a5d7fb2ae34cffe4d0806e4902bf9aa27ee3b75617aa35379356f  execline-2.1.4.5.tar.gz"
+sha512sums="15a76c73afe98142b9f466edb442cad06ee69f0f0e15ad6a325c37f3878b4c5863b5cece67bd169e84b465a0f7f4f38f87fa88b2aa96fe40a20ebc3575a1ceb9  execline-2.1.4.5.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 12:44:52 GMT